CREATE TABLE ALIQINTPRODIE
(
   NRSEQALIQINT       NUMBER                        NOT NULL,
   CDEMPRESA          VARCHAR2(02)                  NOT NULL,
   CDINSCESTA         VARCHAR2(16)                  NOT NULL,
   CDPRODUTO          VARCHAR2(10)                  NOT NULL,
   VRALIQINT          FLOAT          DEFAULT 0      NOT NULL,   
   VRALIQFECP         FLOAT          DEFAULT 0      NOT NULL,
   NRORG              NUMBER         DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 	NOT NULL,
   IDATIVO            VARCHAR2(1)  	 DEFAULT 'S'      NOT NULL
      CONSTRAINT CKC_IDATIVO_ALIQINTPRODIE    CHECK (IDATIVO IN ('S','N')),
   DTINCLUSAO         DATE         	 DEFAULT  	NULL,
   DTULTATU           DATE           DEFAULT  	NULL,
   NRORGINCLUSAO      NUMBER         DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  	NULL,
   CDOPERINCLUSAO     VARCHAR2(12)   DEFAULT '1' 			NULL,
   NRORGULTATU        NUMBER         DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  	NULL,
   CDOPERULTATU       VARCHAR2(12)   DEFAULT '1' 			NULL,
   CONSTRAINT PK_ALIQINTPRODIE PRIMARY KEY (NRSEQALIQINT)
)
/

ALTER TABLE ALIQINTPRODIE
  ADD CONSTRAINT FKFIS00814NSCRESTAD FOREIGN KEY (CDEMPRESA, CDINSCESTA)
       REFERENCES INSCRESTAD (CDEMPRESA, CDINSCESTA)
/ 

CREATE INDEX FIS00814_FK ON ALIQINTPRODIE (CDEMPRESA, CDINSCESTA)
/

ALTER TABLE ALIQINTPRODIE
  ADD CONSTRAINT FKFIS00815PRODUTO FOREIGN KEY (CDPRODUTO)
       REFERENCES PRODUTO (CDPRODUTO)
/

CREATE INDEX FIS00815_FK ON ALIQINTPRODIE (CDPRODUTO)
/